<template>
  <div class="app-container">
    <transition name="el-zoom-in-center">
      <data-list v-if="options.showList" @showCard="showCard" />
    </transition>
  </div>
</template>

<script>
import DataList from './DataList'

export default {
  name: 'DataManage',
  components: { DataList },
  data() {
    return {
      options: {
        data: {},
        showList: true,
        showAdd: false,
        showEdit: false,
        showDetail: false
      }
    }
  },
  methods: {
    showCard(data) {
      Object.assign(this.options, data)
    }
  }
}
</script>

<style lang="scss" scoped>

</style>
